Forum: Rails Engines svn:externals, Rails 1.1.2 and bootstrapping

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Steve K. (Guest)
on 2006-04-26 00:20
Okay, my earlier problem with missing rake tasks appears to have been an
error on my part in my svn:externals property settings, which could
probably stand to be better documented for the most common real-world
case of installing the plugin and a couple of engines at the same time.
So now, finally armed with the db:migrate:engines task, my database is
set up.

However, when I try "rake bootstrap" I get the following error (trace
shown).

Is there a new, namespaced rake task I'm supposed to be using?

Also, is it bad if I put the module configs in
environments/development.rb, etc. instead of environment.rb? I can't
imagine I'm the only developer who wants different mailer and
default-admin-user settings for dev and production.

I'll be happy to update the installation instructions in the READMEs
that everyone's been begging for, but first I have to get the thing
working. ;)

Thanks much.

C:\rails\flhp>rake bootstrap --trace
(in C:/rails/flhp)
** Invoke bootstrap (first_time)
** Invoke sync_permissions (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
undefined method `config' for Rails::Initializer::UserEngine:Module
C:/rails/flhp/config/../vendor/rails/railties/lib/initializer.rb:197:in
`load_en
vironment'
C:/rails/flhp/config/../vendor/rails/railties/lib/initializer.rb:168:in
`load_en
vironment'
C:/rails/flhp/config/../vendor/rails/railties/lib/initializer.rb:165:in
`silence
_warnings'
C:/rails/flhp/config/../vendor/rails/railties/lib/initializer.rb:165:in
`load_en
vironment'
C:/rails/flhp/config/../vendor/rails/railties/lib/initializer.rb:82:in
`process'

C:/rails/flhp/config/../vendor/rails/railties/lib/initializer.rb:42:in
`send'
C:/rails/flhp/config/../vendor/rails/railties/lib/initializer.rb:42:in
`run'
C:/rails/flhp/config/../config/environment.rb:13
c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:18:in
`require__'
c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:18:in
`require'
C:/rails/flhp/config/../vendor/rails/railties/lib/tasks/misc.rake:3
C:/rails/flhp/config/../vendor/rails/railties/lib/tasks/misc.rake:2:in
`call'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:in `execute'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:in `each'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:in `execute'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:357:in `invoke'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in
`synchronize'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in `invoke'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:364:in
`invoke_prerequisit
es'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in `each'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:in `send'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:in `each'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in
`invoke_prerequisit
es'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:356:in `invoke'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in
`synchronize'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in `invoke'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:364:in
`invoke_prerequisit
es'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in `each'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:in `send'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:in `each'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in
`invoke_prerequisit
es'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:356:in `invoke'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in
`synchronize'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in `invoke'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in `run'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in `each'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in `run'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/bin/rake:7
c:/ruby/bin/rake:18:in `load'
c:/ruby/bin/rake:18
This topic is locked and can not be replied to.